### Method

# WPEPlatform InputMethodContext filter_key_event

#### Declaration [src]

    gboolean
    wpe_input_method_context_filter_key_event (
      WPEInputMethodContext* context,
      WPEEvent* event
    )

#### Description [src]

Allow an input method to internally handle key press and release events. If this function returns `TRUE`, then no further processing should be done for this key event.

#### Parameters

`event`

  Type: `WPEEvent`

  The key event.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the input method handled the key event.